Разное

Как установить framework: Установка .NET Framework Developer Pack или распространяемого пакета

Содержание

Установка .NET Framework 3.5 в Windows 10, 8.1, 8



  • Чтение занимает 2 мин


В этой статье

Платформа .NET Framework 3.5 может потребоваться для запуска приложений в Windows 10, Windows 8.1 и Windows 8.You may need the .NET Framework 3.5 to run an app on Windows 10, Windows 8.1, and Windows 8. Эти инструкции можно использовать и для более ранних версий Windows.You can also use these instructions for earlier Windows versions.

Скачивание автономного установщикаDownload the offline installer

Автономный установщик .NET Framework 3.5 с пакетом обновления 1 (SP1) доступен на странице загрузки .NET Framework 3.5 SP1. Его можно скачать для версий Windows, предшествовавших Windows 10.The .NET Framework 3.5 SP1 offline installer is available on the .NET Framework 3.5 SP1 Download page and is available for Windows versions prior to Windows 10.

Установка платформы .NET Framework 3.5 по запросуInstall the .NET Framework 3.5 on Demand

Если вы попробуете запустить приложение, которому требуется платформа .NET Framework 3.5, может появиться следующее окно настройки.You may see the following configuration dialog if you try to run an app that requires the .NET Framework 3.5. Выберите вариант Установить этот компонент , чтобы включить .NET Framework 3.5.Choose Install this feature to enable the .NET Framework 3.5. Для использования этого варианта требуется подключение к Интернету.This option requires an Internet connection.

Снимок экрана: диалоговое окно установки .NET Framework

Почему появляется это всплывающее окно?Why am I getting this pop-up?

Платформа .NET Framework разрабатывается корпорацией Майкрософт и предоставляет среду для выполнения приложений.The .NET Framework is created by Microsoft and provides an environment for running applications. Доступны различные ее версии.There are different versions available. Многие компании разрабатывают приложения для выполнения на платформе .NET Framework, и они предназначены для определенных версий.Many companies develop their apps to run using the .NET Framework, and these apps target a specific version. Если появилось это всплывающее окно, вы пытаетесь запустить приложение, которое требует версии .NET Framework 3.5, но эта версия не установлена в вашей системе.If you see this pop-up, you’re trying to run an application that requires the .NET Framework version 3.5, but that version is not installed on your system.

Включение платформы .NET Framework 3.5 в панели управленияEnable the .NET Framework 3.5 in Control Panel

Вы можете самостоятельно включить .NET Framework 3.5 через панель управления Windows.You can enable the .NET Framework 3.5 through the Windows Control Panel. Для использования этого варианта требуется подключение к Интернету.This option requires an Internet connection.

  1. Нажмите клавишу с логотипом Windows Снимок экрана: клавиша с логотипом WindowsPress the Windows key Screenshot of the Windows key logo. на клавиатуре, введите «Компоненты Windows» и нажмите ВВОД.on your keyboard, type «Windows Features», and press Enter. Откроется диалоговое окно Включение и отключение компонентов Windows .The Turn Windows features on or off dialog box appears.

  2. Установите флажок .NET Framework 3.5 (включает .NET 2.0 и 3.0) , нажмите кнопку OK и перезагрузите компьютер при появлении соответствующего запроса.Select the .NET Framework 3.5 (includes .NET 2.0 and 3.0) check box, select OK , and reboot your computer if prompted.

    Снимок экрана: установка .NET с помощью панели управления

    Дочерние элементы для активации Windows Communication Foundation (WCF) по HTTP и активации Windows Communication Foundation (WCF) по протоколу, отличному от HTTP , предназначены для разработчиков и администраторов серверов, которые используют эту функцию. В других случаях их выбирать не нужно.You don’t need to select the child items for Windows Communication Foundation (WCF) HTTP Activation and Windows Communication Foundation (WCF) Non-HTTP Activation unless you’re a developer or server administrator who requires this functionality.

Устранение неполадок с установкой .NET Framework 3.5Troubleshoot the installation of the .NET Framework 3.5

Во время установки могут возникнуть ошибки 0x800f0906, 0x800f0907, 0x800f081f или 0x800F0922. В этом случае обратитесь к разделу Ошибка установки .NET Framework 3.5: 0x800f0906, 0x800f0907 или 0x800f081f.During installation, you may encounter error 0x800f0906, 0x800f0907, 0x800f081f, or 0x800F0922, in which case refer to .NET Framework 3.5 installation error: 0x800f0906, 0x800f0907, or 0x800f081f to see how to resolve these issues.

Если вам по-прежнему не удается устранить проблему с установкой или у вас нет подключения к Интернету, вы можете попытаться установить платформу с установочного носителя Windows.If you still can’t resolve your installation issue or you don’t have an Internet connection, you can try installing it using your Windows installation media. Дополнительные сведения см. в разделе Развертывание .NET Framework 3.5 с помощью системы обслуживания образов развертывания и управления ими (DISM).For more information, see Deploy .NET Framework 3.5 by using Deployment Image Servicing and Management (DISM). Если вы используете ОС Windows 7, Windows 8.1 или последнюю версию Windows 10 и у вас нет установочного носителя, вы можете создать его здесь: Создать установочный носитель для Windows.If you’re using Windows 7, Windows 8.1, or the latest Windows 10 version but you don’t have the installation media, create an up-to-date installation media here: Create installation media for Windows. Дополнительные сведения о компонентах Windows 10 по запросу: Компоненты по запросу.Additional information about Windows 10 Features on Demand: Features on Demand.

Предупреждение

Если вы устанавливаете .NET Framework 3.5 не через центр обновления Windows, необходимо использовать источники только из той же соответствующей версии операционной системы Windows.If you’re not relying on Windows Update as the source for installing the .NET Framework 3.5, you must ensure to strictly use sources from the same corresponding Windows operating system version. Использование источников из другой версии операционной системы Windows повлечет за собой установку несоответствующей версии .NET Framework 3.5 или приведет к сбою установки, в результате чего система будет находиться в неподдерживаемом и необслуживаемом состоянии.Using sources from a different Windows operating system version will either install a mismatched version of .NET Framework 3.5 or cause the installation to fail, leaving the system in an unsupported and unserviceable state.



Установка .NET Framework 3.5 в Windows 8, 8.1 и 10 без использования интернета


Windows 10, Windows 8

  • Recluse
  • 06.07.2016
  • 28 368
  • 12
  • 12.08.2020
  • 26
  • 24
  • 2

Установка .NET Framework 3.5 в Windows 8, 8.1 и 10 без использования интернета

  • Содержание статьи

Вступление

В новых операционных системах семейства Windows (Windows 8 и выше), для установки отныне не нужно качать с сайта Microsoft установщик .NET Framework 3.5 — нынче просто нужно поставить нужную галочку в настройках «Компонентов Windows«, и ОС сама его скачает с интернета и установит. Однако, в этом есть и минус — если на компьютере нет интернет-соединения, то и установить таким образом программную платформу .NET Framework 3.5 (как и любой другой компонент системы) не получится. Установщик, который можно было бы скачать с интернета и запустить на таком компьютере, попросту не существует.

О способе установки .NET Framework 2 и 3.5 через компоненты Windows (через интернет), можно прочитать в этой статье.

Однако, есть способ установки любого компонента системы с установочного диска Windows, в том числе и .NET Framework 3.5. Для этого понадобиться сам установочный образ системы, который может быть где угодно — на физическом носителе (оптический диск, флешка), смонтированный ISO образ, или просто распакованный на жесткий диск.

Если данный образ у вас отсутствует, то его всегда можно взять с сайта Microsoft по ссылкам ниже:

Скачать образ Windows 8 (Windows 8.1)
Скачать образ Windows 10

Установка .NET Framework 3.5 без интернета

И так, установим в систему компонент «.NET Framework 3.5» с помощью командной строки, которую необходимо запустить с правами администратора (делается это следующим образом — нужно нажать кнопку «Пуск«, затем в поиске набрать «cmd«, и когда высветится «Командная строка«, нажать на ней правой кнопкой мыши, и в появившемся контекстном меню выбрать пункт «Запустить с правами администратора«).

Выполняем:

Dism /online /enable-feature /featurename:NetFx3 /All /Source:E:\sources\sxs /LimitAccess

Вместо E следует вписать букву диска, на котором находятся установочные файлы Windows. Если вы распаковали файлы установки Windows в какую-либо папку, путь выше так же следует дополнить.

Обратите внимание, что в зависимости от образа Windows, путь к папке Source может отличаться.

framework3offlinewin8

После выполнения команды начнется установка указанного компонента.

Как установить .NET Framework 3.5 и 4.5 в Windows 10

В данной статье рассмотрены способы, с помощью которых можно установить (включить) компонент .NET Framework 3.5 и .NET Framework 4.5 в операционной системе Windows 10.

.NET Framework — программная платформа, которая является частью многих приложений и предоставляет функциональные возможности для запуска этих приложений.

Если используется операционная система Windows, то платформа .NET Framework, возможно уже установлена на компьютере. В частности, версия .NET Framework 4.5 включена в Windows 8, версия 4.5.1 включена в Windows 8.1, а версия 4.6 включена в Windows 10.

Однако платформа .NET Framework 3.5 не устанавливается автоматически вместе с Windows 8, 8.1 или 10, и ее необходимо включить отдельно.

Установка платформы .NET Framework 3.5 по запросу

Если приложению требуется .NET Framework 3.5 и оно не находит эту версию на компьютере, во время установки или при первом запуске приложения, отображается следующее диалоговое окно. В окне сообщения выберите Скачать и установить этот компонент, чтобы включить .NET Framework 3.5.

Для реализации этого варианта требуется подключение к Интернету.

Как установить .NET Framework 3.5 в окне «Компоненты Windows»

Вы можете самостоятельно включить .NET Framework 3.5 в окне «Компоненты Windows». Для реализации этого варианта требуется подключение к Интернету.

Нажмите сочетание клавиш + R и в открывшемся окне Выполнить введите команду OptionalFeatures и нажмите клавишу Enter ↵.

В открывшемся окне Компоненты Windows установите флажок .NET Framework 3.5 (включает .NET 2.0 и 3.0), нажмите кнопку OK.

Начнется процесс установки компонента .NET Framework 3.5.

Не нужно выбирать дочерние элементы для активации HTTP Windows Communication Foundation (WCF), если только вы не разработчик, которому требуются функции сопоставления скрипта и обработчика WCF.

По окончании процесса установки нажмите кнопку Закрыть.

Если по какой-то причине вышеуказанный способ вам не подходит, то можно скачать официальный установщик .NET Framework 3.5 по ссылке с официального сайта Microsoft https://www.microsoft.com/ru-ru/download/details.aspx?id=21 (при этом не стоит обращать внимания, что Windows 10 отсутствует в списке поддерживаемых систем, все успешно устанавливается).

Как установить .NET Framework 3.5 в Windows 10 с помощью DISM

Если подключение к Интернету отсутствует, платформу .NET Framework 3.5 можно включить с помощью средства командной строки «Система обслуживания образов, развертывания и управления ими» (DISM), указав носитель (USB-накопитель, ISO-образ или DVD-диск), с которого была установлена Windows 10.

Чтобы установить компонент .Net Framework 3.5 с помощью DISM, откройте командную строку от имени администратора и выполните следующую команду:

DISM /Online /Enable-Feature /FeatureName:NetFx3 /All /LimitAccess /Source:F:\\sources\\sxs

Где F — буква диска с дистрибутивом Windows 10 (или путь до распакованного дистрибутива).

Через некоторое время компонент .Net Framework будет установлен, перезагрузите Windows для завершения операции.

Ещё один из способов установки .NET Framework 3.5 в Windows 10, который Вы можете использовать, представлен в статье Как установить .NET Framework 3.5 в Windows 10 используя Windows PowerShell

Как установить .NET Framework 4.5 в Windows 10

В Windows 10 по умолчанию включен .NET Framework 4.6 который совместим с версиями 4.5, 4.5.1 и 4.5.2. Иными словами, при установке более поздней версии, например .NET Framework 4.6, вам не нужно предварительно устанавливать предыдущие версии, например .NET Framework 4.5, 4.5.1 или 4.5.2. Аналогично, при установке более поздней версии, например .NET Framework 4.6, вам не нужно предварительно удалять предыдущие версии, например .NET Framework 4.5, 4.5.1 или 4.5.2.

Если по какой-то причине в вашей системе отключен пункт .NET Framework 4.6, можно просто включить его для установки.

Также можно загрузить эти компоненты отдельно в виде автономных установщиков с официального сайта Microsoft:

Если по каким-то причинам предлагаемые способы установки не работают, то можно воспользоваться дополнительными возможностями, которые помогут исправить ситуацию:

  1. Использование официальной утилиты Microsoft .NET Framework Repair Tool для исправления ошибок при установке. Утилиту можно скачать здесь → https://www.microsoft.com/en-us/download/details.aspx?id=30135
  2. Используйте утилиту Microsoft Fix It для автоматического исправления некоторых проблем, которые могут привести к ошибкам установки компонентов системы, скачать можно здесь → https://support.microsoft.com/en-us/kb/976982 (в первом пункте статьи)

На той же странице в 3-м пункте предлагается загрузить утилиту .NET Framework Cleanup Tool, полностью удаляющую все пакеты .NET Framework с компьютера. Это может позволить исправить ошибки при их повторной установке. Также пригодится, если вы получаете сообщение о том, что .Net Framework 4.5 уже является частью операционной системы и установлена на компьютере

Как установить .NET Framework 3.5 в Windows 10 используя Windows PowerShell

В этой статье показаны действия, с помощью которых можно установить .NET Framework 3.5 в Windows 10 используя Windows PowerShell.

Компонент .NET Framework 3.5 требуется для работы различных приложений, и начиная с операционной системы Windows 8, компонент .NET Framework 3.5 не устанавливается автоматически вместе с Windows, и его необходимо включить самостоятельно, чтобы зависящие от него приложения работали.

Данная статья написана как дополнение к различным способам установки компонента .NET Framework которые подробно представлены в этой ➯ статье

Для установки компонента .NET Framework 3.5 нам понадобится подключенный к компьютеру установочный носитель с дистрибутивом Windows 10 (DVD-диск, USB-накопитель) или ISO-образ подключенный как диск.

Как установить .NET Framework 3.5 в Windows 10 используя Windows PowerShell

Откройте консоль Windows PowerShell от имени администратора.

Далее, в открывшемся окне Администратор: Windows PowerShell введите команду:

Enable-WindowsOptionalFeature -Online -FeatureName «NetFx3» -Source E:\\sources\\sxs

Где E: — буква диска с дистрибутивом Windows 10 (или путь до распакованного дистрибутива).

После ввода команды, нажмите клавишу Enter ↵, начнется процесс установки.

Через некоторое время .Net Framework 3.5 будет установлен. Перезагрузка компьютера не требуется, об этом нам говорит строка RestartNeeded : False

Теперь проверим установку компонента выполнив следующую команду:

Get-WindowsOptionalFeature -Online | where featurename -Like «netfx3»

Строка State : Enabled говорит о том, что компонент включен (Состояние : Включен).

.

Также проверить состояние компонента можно в графическом интерфейсе операционной системы, для этого нажмите сочетание клавиш + R и в открывшемся окне Выполнить введите команду OptionalFeatures и нажмите клавишу Enter ↵.

В открывшемся окне Компоненты Windows, вы увидите установленный флажок возле строки .NET Framework 3.5 (включает .NET 2.0 и 3.0), что говорит о том, что компонент .NET Framework 3.5 включен.

Установка EF4 Framework — Joomla-Monster

Технические требования

Технические требования для запуска EF4 Framework такие же, как и требования для запуска Joomla 3.x.

Программное обеспечение:

База данных:

  • MySQL (требуется поддержка InnoDB) 5.1 +
  • SQL Server 10.50.1600.1+
  • PostgreSQL 8.3.18 +

Веб-сервер:

  • Apache 2.x +
  • Nginx 1.0
  • Microsoft IIS 7

Локальный сервер:

Если вы хотите установить Joomla и EF4 Framework на локальный компьютер, вы можете использовать одно из следующих решений веб-сервера:

  • LAMP для Linux
  • WAMP для Windows
  • MAMP для Macintosh
  • XAMPP для Linux, Windows и Macintosh

Подробнее о технических требованиях для запуска Joomla вы можете прочитать здесь:
http://www.joomla.org/technical-requirements.html

Дополнительные требования:

  • 128M или более лимит памяти PHP

Скачать

Чтобы загрузить файлы, вам необходимо выполнить следующие шаги:

Шаг 1: Зарегистрируйтесь или войдите на Joomla-Monster.com

Шаг 2: После входа в систему вам необходимо перейти по следующему адресу:

Моя учетная запись -> Загрузки

Шаг 3: Загрузить файлы

Загрузить Плагин EF4 Framework из следующего расположения:

Моя учетная запись -> Загрузки -> Frameworks

Downloads

Выберите файлы шаблонов для загрузки.В нашем примере это бесплатный шаблон JM Services для Joomla 3.x:

Моя учетная запись -> Загрузки -> Бесплатные шаблоны -> JM Services для J3.x

Downloads

Ручная установка

Если у вас есть Joomla уже установлена, вы можете установить плагин и шаблон EF4 Framework вручную вместо установки пакета Quickstart, который является точной копией живой демонстрации.

Установка шаблона

Войдите в серверную часть вашего сайта следующим образом: www.yoursite.com/administrator

В меню верхней панели щелкните:

Extensions -> Extension Manager

На этой странице вы можете установить шаблон, компонент, модуль, плагин или языковой пакет.

Шаг 1: На вкладке «Загрузить файл пакета» просмотрите свой диск и выберите пакет шаблона, нажмите «Загрузить и установить».

Install Template

Шаг 2: Вы должны получить сообщение об успешной установке шаблона.

Install Template

Установка подключаемого модуля EF4 Framework

Установка пакета подключаемого модуля очень похожа на установку пакета шаблона. Из области загрузки на Joomla-Monster.com вам необходимо загрузить плагин EF4 Joomla-Monster Framework. Пакет называется «plg_EF4-framework.zip», и он понадобится на этом этапе.

В меню верхней панели нажмите:

Extensions -> Extension Manager

Step 1: На вкладке «Загрузить файл пакета» просмотрите свой диск и выберите пакет плагина, нажмите «Загрузить и» Установить «.

Шаг 2: Вы должны получить сообщение об успешной установке подключаемого модуля.

Шаг 3: В меню верхней панели нажмите:

Extensions -> Plugin Manager

На этой странице вы увидите список доступных плагинов в вашей Joomla. Найдите плагин «EF4 Joomla-Monster Framework» и убедитесь, что он опубликован.

Quickstart Installation

Quickstart — точная копия нашей живой демонстрации.Он включает Joomla, шаблон, плагин EF4 Framework, расширения и образцы данных. Таким образом вы сэкономите много времени, так как вам не придется устанавливать несколько пакетов и настраивать все параметры с нуля.

У нас есть видеоурок о том, как установить пакет Quickstart. Смотрите.

Как определить установленные версии .NET Framework — статьи TechNet — США (английский)

.NET Framework Version Уровень пакета обновления Имя ключа реестра Значение
4 — Клиент Оригинальная версия HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v4 \ Client Имя: Установить , Тип: REG_DWORD , Данные:
1
HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v4 \ Client Имя: Версия , Тип: REG_SZ , Данные:
4.0,30319,0
4 — полный Оригинальная версия HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v4 \ Full Имя: Установить , Тип: REG_DWORD , Данные:
1
HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v4 \ Full Имя: Версия , Тип: REG_SZ , Данные:
4.0,30319,0
3,5 Оригинальная версия HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v3.5 Имя: Установить , Тип: REG_DWORD , Данные:
1
HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v3.5 Имя: SP , Тип: REG_DWORD , Данные: 0
3.5 Пакет обновления 1 HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v3.5 Имя: Установить , Тип: REG_DWORD , Данные:
1
HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v3.5 Имя: SP , Тип: REG_DWORD , Данные: 1
3,0 Оригинальная версия Следуйте инструкциям по развертыванию и обнаружению, приведенным в документе «Microsoft.NET Framework 3.0 Deployment Guide »в библиотеке MSDN
HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v3.0 Имя: SP , Тип: REG_DWORD , Данные: 0
3,0 Пакет обновления 1 HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v3.0 Имя: Установить , Тип: REG_DWORD , Данные:
1
HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v3.0 Имя: SP , Тип: REG_DWORD , Данные: 1
3,0 Пакет обновления 2 HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v3.0 Имя: Установить , Тип: REG_DWORD , Данные:
1
HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v3.0 Имя: SP , Тип: REG_DWORD , Данные: 2
2.0 Оригинальная версия HKEY_LOCAL_MACHINE \ Software \ Microsoft \ NET Framework Setup \ NDP \ v2.0.50727 Имя: Установить , Тип: REG_DWORD , Данные:
1
HKEY_LOCAL_MACHINE \ Software \ Microsoft \ NET Framework Setup \ NDP \ v2.0.50727 Имя: SP , Тип: REG_DWORD , Данные: 0
2.0 Пакет обновления 1 HKEY_LOCAL_MACHINE \ Software \ Microsoft \ NET Framework Setup \ NDP \ v2.0.50727 Имя: Установить , Тип: REG_DWORD , Данные:
1
HKEY_LOCAL_MACHINE \ Software \ Microsoft \ NET Framework Setup \ NDP \ v2.0.50727 Имя: SP , Тип: REG_DWORD , Данные: 1
2.0 Пакет обновления 2 HKEY_LOCAL_MACHINE \ Software \ Microsoft \ NET Framework Setup \ NDP \ v2.0.50727 Имя: Установить , Тип: REG_DWORD , Данные:
1
HKEY_LOCAL_MACHINE \ Software \ Microsoft \ NET Framework Setup \ NDP \ v2.0.50727 Имя: SP , Тип: REG_DWORD , Данные: 2
1.1 (в 32-битных операционных системах) Оригинальная версия HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v1.1.4322 Имя: Установить , Тип: REG_DWORD , Данные:
1
HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v1.1.4322 Имя: SP , Тип: REG_DWORD , Данные: 0
1.1 (в 32-битных операционных системах) Пакет обновления 1 HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v1.1.4322 Имя: Установить , Тип: REG_DWORD , Данные:
1
1.1 (в 64-битных операционных системах) Оригинальная версия HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v1.1.4322 Имя: Установить , Тип: REG_DWORD , Данные:
1
HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v1.1,4322 Имя: SP , Тип: REG_DWORD , Данные: 0
1.1 (в 64-битных операционных системах) Пакет обновления 1 HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v1.1.4322 Имя: Установить , Тип: REG_DWORD , Данные:
1
HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ NET Framework Setup \ NDP \ v1.1,4322 Имя: SP , Тип: REG_DWORD , Данные: 1
1.0 (на поддерживаемых платформах, кроме Windows XP Media Center и Tablet PC) Оригинальная версия HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Active Setup \ Installed Components \ {78705f0d-e8db-4b2d-8193-982bdda15ecd} Имя: Версия , Тип: REG_SZ , Данные:
1.0.3705.0
1.0 (на поддерживаемых платформах, кроме Windows XP Media Center и Tablet PC) Пакет обновления 1 HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Active Setup \ Installed Components \ {78705f0d-e8db-4b2d-8193-982bdda15ecd} Имя: Версия , Тип: REG_SZ , Данные:
1.0.3705.1
1.0 (на поддерживаемых платформах, кроме Windows XP Media Center и Tablet PC) Пакет обновления 2 HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Active Setup \ Installed Components \ {78705f0d-e8db-4b2d-8193-982bdda15ecd} Имя: Версия , Тип: REG_SZ , Данные:
1.0,3705,2
1.0 (на поддерживаемых платформах, кроме Windows XP Media Center и Tablet PC) Пакет обновления 3 HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Active Setup \ Installed Components \ {78705f0d-e8db-4b2d-8193-982bdda15ecd} Имя: Версия , Тип: REG_SZ , Данные:
1.0.3705.3
1.0 (поставляется с Windows XP Media Center 2002/2004 и планшетным ПК 2004) Пакет обновления 2 HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Active Setup \ Installed Components \ {FDC11A6F-17D1-48f9-9EA3-

54BAA24} Имя: Версия , Тип: REG_SZ , Данные:
1.0,3705,2
1.0 (поставляется с Windows XP Media Center 2005 и Tablet PC 2005) Пакет обновления 3 HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Active Setup \ Installed Components \ {FDC11A6F-17D1-48f9-9EA3-

54BAA24} Имя: Версия , Тип: REG_SZ , Данные:
1.0.3705.3

Установить пакет NuGet веб-API на .NET Framework 4.0

Доступ к данным был прекращен.Пожалуйста, обратитесь к этой странице для получения дополнительной информации.

Эта статья относится к моделям сущностей, которые используют устаревшую интеграцию Visual Studio Telerik Data Access. Текущая документация по структуре доступа к данным доступна здесь.

С введением ASP.NET Web API 2 Microsoft сделала последние версии соответствующего пакета NuGet, чтобы требовали .NET 4.5 . Это означает, что версии после 4.0,30506 пакета NuGet веб-API ASP.NET можно установить только в проектах, ориентированных на .NET 4.5. Если вы попытаетесь вручную установить последнюю версию пакета NuGet в проекте, ориентированном на версию 4.0 платформы .NET, вы получите следующую ошибку:

Не удалось установить пакет Microsoft.AspNet.WebApi.Client 5.0.0. Вы пытаетесь установить этот пакет в проект, предназначенный для .NETFramework, Version = v4.0, но пакет не содержит ссылок на сборки или файлов содержимого, совместимых с этой платформой.

Обычно при создании службы веб-API Telerik Data Access всегда пытается установить последнюю версию пакета NuGet веб-API. Однако, если основной проект службы нацелен на .NET 4.0, Telerik Data Access не установит NuGet автоматически. Следовательно, при сборке проекта вы получите следующие ошибки:

Тип или имя пространства имен «Http» не существует в пространстве имен «System.Web» (отсутствует ссылка на сборку?)

Не удалось найти тип или имя пространства имен HttpResponseMessage (вам не хватает директивы using или ссылки на сборку?)

Не удалось найти тип или имя пространства имен Newtonsoft (вам не хватает директивы using или ссылки на сборку?)

Чтобы избежать этого, мы рекомендуем использовать .NET 4.5 проект для узла службы .
Если это невозможно, вы можете вручную загрузить и установить в проекте, в котором размещена база кода службы, версию 4.0.30506 пакета NuGet веб-API ASP.NET, выполнив следующую команду в консоли диспетчера пакетов:

  Get-Project  | Установочный пакет Microsoft.AspNet.WebApi -Version 4.0.30506
  

Обратите внимание, что при установке старой версии ASP.Пакет NuGet веб-API .NET может вызвать проблемы с безопасностью в вашем приложении, и вы не сможете воспользоваться исправлениями ошибок и новыми функциями, которые могут быть предложены в более поздних версиях.

Документация

BIRT можно загрузить и установить разными способами:

  • Полный конструктор BIRT или конструктор RCP можно установить, загрузив здесь необходимый пакет.
  • или загрузив Eclipse IDE for Java and Report Developers Package.
  • или через диспетчер обновлений, как описано здесь. Обязательно используйте последнюю версию сайта обновлений. URL-адреса диспетчера обновлений
  • в виде пакета, который содержит только плагины BIRT (Framework) со страницы загрузки. Обратите внимание, что дополнительные требования также находятся на странице загрузки. К ним относятся зависимости от других проектов Eclipse. Эти зависимости перечислены на странице загрузки для конкретной сборки.

Все указанные выше загрузки содержат конструктор BIRT.У проекта BIRT есть много дополнительных загрузок, включая среду выполнения для развертывания механизма BIRT в веб-приложении или автономном приложении Java. Дополнительные загрузки доступны для любой сборки BIRT, выбрав соответствующую сборку здесь.

После того, как вы загрузили один из указанных выше пакетов, распакуйте его в выбранный каталог. Это создаст каталог eclipse, содержащий eclipse.exe. Запустите eclipse.exe, чтобы запустить конструктор.

  • На рабочем столе щелкните правой кнопкой мыши, выберите «Создать» -> «Ярлык».
  • В качестве местоположения введите «C: \ Program Files \ eclipse \ eclipse.exe» (без кавычек).
  • Нажмите «Далее»
  • Введите «Eclipse» в качестве имени ярлыка.

Как указано выше, установка фреймворка содержит только необходимые плагины BIRT. Для установки Framework требуется, чтобы у вас уже были пакеты Eclipse Platform, GEF, EMF, DTP и WTP. Конкретная версия каждого из них указана на странице загрузки конкретной сборки. Разархивируйте каждый пакет в свой каталог eclipse.

Если вы устанавливаете фреймворк, вы можете загрузить фреймворк BIRT и разархивировать его содержимое в любой каталог.

  • После этого создайте каталог ссылок в вашем установленном месте Eclipse (например, C: \ eclipse \ links).
  • В этом каталоге создайте файл с уникальным именем, например birt.link.
  • Откройте только что созданный файл и введите path = drive: / pathtobirt (т.е. path = c: / birt)

Вероятно, вы захотите использовать собственный драйвер JDBC с BIRT.Воспользуйтесь мастером управления драйверами JDBC редактора источников данных. Чтобы запустить мастер, откройте дизайн отчета BIRT, перейдите в представление проводника данных, щелкните правой кнопкой мыши «Источники данных» и выберите «Новый источник данных». Выберите «Источник данных JDBC» и нажмите «Далее». В следующем диалоговом окне выберите «Управление драйверами …», чтобы открыть диалоговое окно «Управление драйверами JDBC».

На вкладке «Файлы JAR» нажмите «Добавить …», чтобы добавить файл JAR, необходимый для вашего драйвера JDBC. Затем перейдите на вкладку «Драйвер», чтобы убедиться, что список драйверов включает добавленные новые драйверы.Вы также можете назначить отображаемое имя и шаблон URL-адреса для новых драйверов на этой вкладке.

Если у вас установлена ​​версия BIRT и вы хотите установить более новую версию, сделайте следующее:

  • Закройте Eclipse.
  • Найдите каталог подключаемых модулей Eclipse. Если вы установили в Windows в папку по умолчанию, это «C: \ program files \ eclipse \ plugins».
  • Удалите все каталоги, начинающиеся с «org.eclipse.birt».
  • Загрузите и установите BIRT, как описано в разделе BIRT выше.
  • Перезапустите Eclipse с параметром -clean: eclipse -clean

См. Раздел «Настройка BIRT Viewer».

BIRT можно загрузить и установить разными способами:

  • Загрузите языковой пакет для нужного продукта и распакуйте его в свою установку eclipse.
  • Откройте «Язык и региональные стандарты» на Панели управления и перейдите на вкладку «Дополнительно».
  • Выберите желаемый язык группы 1 из раскрывающегося списка.
  • Сохраните изменения и перезапустите систему.
  • Запустите Eclipse и выберите Window-> Preferences-> Report Design-> Preview. Выберите нужный язык из раскрывающегося поля со списком.
  • Перезапустите Eclipse.

Некоторые проблемы связаны с кэшированной информацией в Eclipse. Eclipse кэширует информацию о плагинах для более быстрого запуска. Добавление BIRT, как мы делали выше, может привести к устаревшей кэшированной информации. Симптомы этой проблемы включают:

  • Перспектива BIRT не отображается в Eclipse.
  • При открытии отчетов или использовании пользовательского интерфейса BIRT появляется диалоговое окно «Произошла ошибка».

Решение — очистить кешированную информацию. Рекомендуется запускать Eclipse с параметром -clean:

eclipse -clean

Если вы работаете в Windows и не знаете, как вызывать Eclipse из командной строки, сделайте следующее:

.

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *

2021 © Все права защищены. Карта сайта